| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

GFXcanvas16 Class Reference

## Detailed Description

Definition at line 148 of file Adafruit_GFX.h.

Inheritance diagram for GFXcanvas16:

## Additional Inherited Members
Public Member Functions inherited from Adafruit_GFX
| Adafruit_GFX (int16_t w, int16_t h)
virtual void | drawLine (int16_t x0, int16_t y0, int16_t x1, int16_t y1, uint16_t color)
virtual void | drawFastVLine (int16_t x, int16_t y, int16_t h, uint16_t color)
virtual void | drawFastHLine (int16_t x, int16_t y, int16_t w, uint16_t color)
virtual void | drawRect (int16_t x, int16_t y, int16_t w, int16_t h, uint16_t color)
virtual void | fillRect (int16_t x, int16_t y, int16_t w, int16_t h, uint16_t color)
virtual void | fillScreen (uint16_t color)
virtual void | invertDisplay (boolean i)
void | drawCircle (int16_t x0, int16_t y0, int16_t r, uint16_t color)
void | drawCircleHelper (int16_t x0, int16_t y0, int16_t r, uint8_t cornername, uint16_t color)
void | fillCircle (int16_t x0, int16_t y0, int16_t r, uint16_t color)
void | fillCircleHelper (int16_t x0, int16_t y0, int16_t r, uint8_t cornername, int16_t delta, uint16_t color)
void | drawTriangle (int16_t x0, int16_t y0, int16_t x1, int16_t y1, int16_t x2, int16_t y2, uint16_t color)
void | fillTriangle (int16_t x0, int16_t y0, int16_t x1, int16_t y1, int16_t x2, int16_t y2, uint16_t color)
void | drawRoundRect (int16_t x0, int16_t y0, int16_t w, int16_t h, int16_t radius, uint16_t color)
void | fillRoundRect (int16_t x0, int16_t y0, int16_t w, int16_t h, int16_t radius, uint16_t color)
void | drawBitmap (int16_t x, int16_t y, const uint8_t *bitmap, int16_t w, int16_t h, uint16_t color)
void | drawBitmap (int16_t x, int16_t y, const uint8_t *bitmap, int16_t w, int16_t h, uint16_t color, uint16_t bg)
void | drawBitmap (int16_t x, int16_t y, uint8_t *bitmap, int16_t w, int16_t h, uint16_t color)
void | drawBitmap (int16_t x, int16_t y, uint8_t *bitmap, int16_t w, int16_t h, uint16_t color, uint16_t bg)
void | drawXBitmap (int16_t x, int16_t y, const uint8_t *bitmap, int16_t w, int16_t h, uint16_t color)
void | drawChar (int16_t x, int16_t y, unsigned char c, uint16_t color, uint16_t bg, uint8_t size)
void | setCursor (int16_t x, int16_t y)
void | setTextColor (uint16_t c)
void | setTextColor (uint16_t c, uint16_t bg)
void | setTextSize (uint8_t s)
void | setTextWrap (boolean w)
void | setRotation (uint8_t r)
void | cp437 (boolean x=true)
void | setFont (const GFXfont *f=NULL)
void | getTextBounds (char *string, int16_t x, int16_t y, int16_t *x1, int16_t *y1, uint16_t *w, uint16_t *h)
void | getTextBounds (const __FlashStringHelper *s, int16_t x, int16_t y, int16_t *x1, int16_t *y1, uint16_t *w, uint16_t *h)
virtual void | write (uint8_t)
int16_t | height (void) const
int16_t | width (void) const
uint8_t | getRotation (void) const
int16_t | getCursorX (void) const
int16_t | getCursorY (void) const
Protected Attributes inherited from Adafruit_GFX
const int16_t | WIDTH
const int16_t | HEIGHT
int16_t | _width
int16_t | _height
int16_t | cursor_x
int16_t | cursor_y
uint16_t | textcolor
uint16_t | textbgcolor
uint8_t | textsize
uint8_t | rotation
boolean | wrap
boolean | _cp437
GFXfont * | gfxFont

The documentation for this class was generated from the following files:

- Adafruit_GFX.h
- Adafruit_GFX.cpp